# locale_facets.tcc File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

Definition in file locale_facets.tcc.

Go to the source code of this file.

## Namespaces

- namespace std

## Classes

- struct std::__use_cache< _Facet >
- struct std::__use_cache< __moneypunct_cache< _CharT, _Intl > >
- struct std::__use_cache< __numpunct_cache< _CharT > >

## Defines

- #define _LOCALE_FACETS_TCC

## Functions

- template<typename _CharT> _CharT * std::__add_grouping (_CharT *__s, _CharT __sep, const char *__gbeg, size_t __gsize, const _CharT *__first, const _CharT *__last)
- template<typename _CharT, typename _ValueT> _GLIBCXX_END_LDBL_NAMESPACE
  int std::__int_to_char (_CharT *__bufend, _ValueT __v, const _CharT *__lit, ios_base::fmtflags __flags, bool __dec)
- static bool std::__verify_grouping (const char *__grouping, size_t __grouping_size, const string &__grouping_tmp)
- template<typename _Facet> bool std::has_facet (const locale &__loc) throw ()
- template<typename _Facet> const _Facet & std::use_facet (const locale &__loc)